#pragma once

#include "ecs_component_list.h"

void ecs_component_delete(ECS* ecs, ECSComponentType type, u32 id);
void* ecs_component_add(ECS* ecs, ECSComponentType type, u32 id);
void* ecs_component_get(ECS* ecs, ECSComponentType type, u32 id);
void* ecs_component_from_index_get(ECS* ecs, ECSComponentType type, u32 index);
